import { SimpleLocalIntegration } from '../../core/index.js';
import { WatergateConfigFlow } from './watergate.classes.configflow.js';
import { createWatergateDiscoveryDescriptor } from './watergate.discovery.js';
import type { IWatergateConfig } from './watergate.types.js';
import { watergateDomain, watergateProfile } from './watergate.types.js';

export class WatergateIntegration extends SimpleLocalIntegration<IWatergateConfig> {
  public readonly domain = watergateDomain;
  public readonly discoveryDescriptor = createWatergateDiscoveryDescriptor();
  public readonly configFlow = new WatergateConfigFlow();

  constructor() {
    super(watergateProfile);
  }
}

export class HomeAssistantWatergateIntegration extends WatergateIntegration {}
